PayPal To Block Browsers Deemed Unsafe

Posted: Apr 18 2008, 9:47am CDT | by , Updated: Aug 11 2010, 7:29am CDT, in News | Other Stuff

 

/* Story Top Left 2010 300x250, created 7/15/10 */ google_ad_slot = "8340327155";
 

Buy This Now On Amazon

PayPal announced that it will begin blocking web browsers that it deems unsafe from accessing its service. PayPal says that customers using unsafe browsers will first be warned and then they could be blocked if they continue using the browser.

PayPal says that an alarming number of people are still using old, vulnerable browsers like Internet Explorer 4. These old browsers allow phishing attacks to trick users into giving out sensitive data. PayPal goes on to say that some users are even still using IE3 which is over 10 years old.

PayPal supports the use of Extended Validation SSL certificates which are supported by the latest version of internet Explorer and Firefox 2. Apple’s Safari browser doesn’t support the technology.

Via BBC News

This story may contain affiliate links.

Comments

The Author

<a href="/latest_stories/all/all/3" rel="author">Shane McGlaun</a>
Tech and Car expert Shane McGlaun (Google) reports about what's new in these two sectors. His extensive experience in testing cars, computer hardware and consumer electronics enable him to effectively qualify new products and trends. If you want us review your product, please contact Shane.
Shane can be contacted directly at shane@i4u.com.

 

 

Advertisement

Latest News

comments powered by Disqus